Return One Collection Restore Job for One Cluster

GET /api/atlas/v2/groups/{groupId}/clusters/{clusterName}/collectionRestoreJobs/{jobId}

Returns one collection restore job for one cluster from the specified project.

Role requirements
  • Project Backup Manager

Path parameters

  • groupId string Required

    Unique 24-hexadecimal digit string that identifies your project. Use the /groups endpoint to retrieve all projects to which the authenticated user has access.

    NOTE: Groups and projects are synonymous terms. Your group id is the same as your project id. For existing groups, your group/project id remains the same. The resource and corresponding endpoints use the term groups.

    Format should match the following pattern: ^([a-f0-9]{24})$.

  • clusterName string Required

    Human-readable label that identifies the cluster with the collection restore jobs you want to return.

    Format should match the following pattern: ^[a-zA-Z0-9][a-zA-Z0-9-]*$.

  • jobId string Required

    Unique 24-hexadecimal digit string that identifies the collection restore job to return.

    Format should match the following pattern: ^([a-f0-9]{24})$.

Query parameters

  • envelope boolean

    Flag that indicates whether Application wraps the response in an envelope JSON object. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. Endpoints that return a list of results use the results object as an envelope. Application adds the status parameter to the response body.

    Default value is false.

  • pretty boolean

    Flag that indicates whether the response body should be in the prettyprint format.

    Default value is false.

    Prettyprint

Responses

  • 200 application/vnd.atlas.2025-03-12+json

    OK

    Hide headers attributes Show headers attributes
    • RateLimit-Limit

      The maximum number of requests that a user can make within a specific time window.

    • RateLimit-Remaining

      The number of requests remaining in the current rate limit window before the limit is reached.

    Hide response attributes Show response attributes object
    • collectionSuffix string

      Suffix applied to restored collection names.

    • collections array[object]

      List of collections in the restore scope (up to 100 items).

      Not more than 100 elements.

      Hide collections attributes Show collections attributes object

      Source and optional target namespace for a restore.

      • sourceNamespace string Required

        Namespace requested to restore (e.g. database name or database.collection).

      • targetNamespace string

        Requested target namespace for the restored data; if empty, source namespace is used.

    • createdAt string(date-time)

      Date and time when the restore job was created (ISO 8601 format in UTC).

    • databaseSuffix string

      Suffix applied to restored database names.

    • databases array[object]

      List of databases in the restore scope (up to 100 items).

      Not more than 100 elements.

      Hide databases attributes Show databases attributes object

      Source and optional target namespace for a restore.

      • sourceNamespace string Required

        Namespace requested to restore (e.g. database name or database.collection).

      • targetNamespace string

        Requested target namespace for the restored data; if empty, source namespace is used.

    • errorMessage string

      Error message when the job has failed or been canceled.

    • finishedAt string(date-time)

      Date and time when the restore job finished (ISO 8601 format in UTC).

    • id string

      Unique 24-hexadecimal digit string that identifies the collection restore job.

      Format should match the following pattern: ^([a-f0-9]{24})$.

    • indexStatus object

      Overall index build status for a collection restore job.

      Hide indexStatus attributes Show indexStatus attributes object
      • failedCollectionCount integer(int32)

        Number of collections that failed to build indexes.

        Minimum value is 0.

      • state string

        Index build state indicating the status of index creation during or after a restore operation.

        Values are NOT_STARTED, IN_PROGRESS, SUCCESSFUL, FAILED, or NOT_RESTORED.

    • indexStrategy string

      Strategy for restoring indexes (all, none, or all except TTL).

      Values are ALL, NONE, or ALL_EXCEPT_TTL.

    • oplogInc integer(int32)

      Oplog increment for point-in-time restore.

    • oplogTs integer(int32)

      Oplog timestamp (seconds part) for point-in-time restore.

    • pointInTimeUtcSeconds integer(int32)

      Point-in-time restore time in seconds since UNIX epoch.

    • restoredDocuments integer(int64)

      Number of documents restored so far across all supported collections.

      Minimum value is 0.

    • snapshotId string

      Unique 24-hexadecimal digit string that identifies the snapshot being restored.

      Format should match the following pattern: ^([a-f0-9]{24})$.

    • state string

      Current state of the collection restore job.

      Values are INITIALIZING, IN_PROGRESS, FINALIZING, SUCCESSFUL, CANCELED, or FAILED.

    • targetClusterName string

      Human-readable label that identifies the target cluster.

    • targetGroupId string

      Unique 24-hexadecimal digit string that identifies the target group.

      Format should match the following pattern: ^([a-f0-9]{24})$.

    • totalDocuments integer(int64)

      Total number of documents across all supported collections in the restore job. This value may initially reflect an estimate based on collection metadata and can change as accurate document counts become available during the restore.

      Minimum value is 0.

    • writeStrategy string

      Strategy for writing data on the target (create as new or overwrite existing). With OVERWRITE_EXISTING, any writes to the affected databases or collections during the restore will be lost when the existing namespaces are dropped and replaced. To avoid data loss, stop writes to the affected namespaces before starting the restore.

      Values are CREATE_NEW or OVERWRITE_EXISTING.

  • 400 application/json

    Bad Request.

    Hide response attributes Show response attributes object
    • badRequestDetail object | null

      Bad request detail.

      Hide badRequestDetail attribute Show badRequestDetail attribute object | null
      • fields array[object]

        Describes all violations in a client request.

        Hide fields attributes Show fields attributes object
        • description string Required

          A description of why the request element is bad.

        • field string Required

          A path that leads to a field in the request body.

    • detail string | null

      Describes the specific conditions or reasons that cause each type of error.

    • error integer(int32) Required

      HTTP status code returned with this error.

      External documentation
    • errorCode string Required

      Application error code returned with this error.

    • parameters array[object]

      Parameters used to give more information about the error.

    • reason string | null

      Application error message returned with this error.

  • 401 application/json

    Unauthorized.

    Hide response attributes Show response attributes object
    • badRequestDetail object | null

      Bad request detail.

      Hide badRequestDetail attribute Show badRequestDetail attribute object | null
      • fields array[object]

        Describes all violations in a client request.

        Hide fields attributes Show fields attributes object
        • description string Required

          A description of why the request element is bad.

        • field string Required

          A path that leads to a field in the request body.

    • detail string | null

      Describes the specific conditions or reasons that cause each type of error.

    • error integer(int32) Required

      HTTP status code returned with this error.

      External documentation
    • errorCode string Required

      Application error code returned with this error.

    • parameters array[object]

      Parameters used to give more information about the error.

    • reason string | null

      Application error message returned with this error.

  • 403 application/json

    Forbidden.

    Hide response attributes Show response attributes object
    • badRequestDetail object | null

      Bad request detail.

      Hide badRequestDetail attribute Show badRequestDetail attribute object | null
      • fields array[object]

        Describes all violations in a client request.

        Hide fields attributes Show fields attributes object
        • description string Required

          A description of why the request element is bad.

        • field string Required

          A path that leads to a field in the request body.

    • detail string | null

      Describes the specific conditions or reasons that cause each type of error.

    • error integer(int32) Required

      HTTP status code returned with this error.

      External documentation
    • errorCode string Required

      Application error code returned with this error.

    • parameters array[object]

      Parameters used to give more information about the error.

    • reason string | null

      Application error message returned with this error.

  • 404 application/json

    Not Found.

    Hide response attributes Show response attributes object
    • badRequestDetail object | null

      Bad request detail.

      Hide badRequestDetail attribute Show badRequestDetail attribute object | null
      • fields array[object]

        Describes all violations in a client request.

        Hide fields attributes Show fields attributes object
        • description string Required

          A description of why the request element is bad.

        • field string Required

          A path that leads to a field in the request body.

    • detail string | null

      Describes the specific conditions or reasons that cause each type of error.

    • error integer(int32) Required

      HTTP status code returned with this error.

      External documentation
    • errorCode string Required

      Application error code returned with this error.

    • parameters array[object]

      Parameters used to give more information about the error.

    • reason string | null

      Application error message returned with this error.

  • 429 application/json

    Too Many Requests.

    Hide headers attributes Show headers attributes
    • RateLimit-Limit

      The maximum number of requests that a user can make within a specific time window.

    • RateLimit-Remaining

      The number of requests remaining in the current rate limit window before the limit is reached.

    • Retry-After

      The minimum time you should wait, in seconds, before retrying the API request. This header might be returned for 429 or 503 error responses.

    Hide response attributes Show response attributes object
    • badRequestDetail object | null

      Bad request detail.

      Hide badRequestDetail attribute Show badRequestDetail attribute object | null
      • fields array[object]

        Describes all violations in a client request.

        Hide fields attributes Show fields attributes object
        • description string Required

          A description of why the request element is bad.

        • field string Required

          A path that leads to a field in the request body.

    • detail string | null

      Describes the specific conditions or reasons that cause each type of error.

    • error integer(int32) Required

      HTTP status code returned with this error.

      External documentation
    • errorCode string Required

      Application error code returned with this error.

    • parameters array[object]

      Parameters used to give more information about the error.

    • reason string | null

      Application error message returned with this error.

  • 500 application/json

    Internal Server Error.

    Hide response attributes Show response attributes object
    • badRequestDetail object | null

      Bad request detail.

      Hide badRequestDetail attribute Show badRequestDetail attribute object | null
      • fields array[object]

        Describes all violations in a client request.

        Hide fields attributes Show fields attributes object
        • description string Required

          A description of why the request element is bad.

        • field string Required

          A path that leads to a field in the request body.

    • detail string | null

      Describes the specific conditions or reasons that cause each type of error.

    • error integer(int32) Required

      HTTP status code returned with this error.

      External documentation
    • errorCode string Required

      Application error code returned with this error.

    • parameters array[object]

      Parameters used to give more information about the error.

    • reason string | null

      Application error message returned with this error.

GET /api/atlas/v2/groups/{groupId}/clusters/{clusterName}/collectionRestoreJobs/{jobId}
atlas api cloudBackups getCollectionRestoreJob --help
import (
	"os"
	"context"
	"log"
	sdk "go.mongodb.org/atlas-sdk/v20250312001/admin"
)

func main() {
	ctx := context.Background()
	clientID := os.Getenv("MONGODB_ATLAS_CLIENT_ID")
	clientSecret := os.Getenv("MONGODB_ATLAS_CLIENT_SECRET")

	// See https://dochub.mongodb.org/core/atlas-go-sdk-oauth
	client, err := sdk.NewClient(sdk.UseOAuthAuth(clientID, clientSecret))

	if err != nil {
		log.Fatalf("Error: %v", err)
	}

	params = &sdk.GetGroupClusterCollectionRestoreJobApiParams{}
	sdkResp, httpResp, err := client.CloudBackupsApi.
		GetGroupClusterCollectionRestoreJobWithParams(ctx, params).
		Execute()
}
curl --include --header "Authorization: Bearer ${ACCESS_TOKEN}" \
  --header "Accept: application/vnd.atlas.2025-03-12+json" \
  -X GET "https://cloud.mongodb.com/api/atlas/v2/groups/{groupId}/clusters/{clusterName}/collectionRestoreJobs/{jobId}?pretty=true"
curl --user "${PUBLIC_KEY}:${PRIVATE_KEY}" \
  --digest --include \
  --header "Accept: application/vnd.atlas.2025-03-12+json" \
  -X GET "https://cloud.mongodb.com/api/atlas/v2/groups/{groupId}/clusters/{clusterName}/collectionRestoreJobs/{jobId}?pretty=true"
Response examples (200)
# Headers

# Payload
{
  "collectionSuffix": "string",
  "collections": [
    {
      "sourceNamespace": "string",
      "targetNamespace": "string"
    }
  ],
  "createdAt": "2026-05-04T09:42:00Z",
  "databaseSuffix": "string",
  "databases": [
    {
      "sourceNamespace": "string",
      "targetNamespace": "string"
    }
  ],
  "errorMessage": "string",
  "finishedAt": "2026-05-04T09:42:00Z",
  "id": "32b6e34b3d91647abb20e7b8",
  "indexStatus": {
    "failedCollectionCount": 42,
    "state": "NOT_STARTED"
  },
  "indexStrategy": "ALL",
  "oplogInc": 42,
  "oplogTs": 42,
  "pointInTimeUtcSeconds": 42,
  "restoredDocuments": 42,
  "snapshotId": "32b6e34b3d91647abb20e7b8",
  "state": "INITIALIZING",
  "targetClusterName": "string",
  "targetGroupId": "32b6e34b3d91647abb20e7b8",
  "totalDocuments": 42,
  "writeStrategy": "CREATE_NEW"
}
Response examples (400)
{
  "detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
  "error": 400,
  "errorCode": "VALIDATION_ERROR",
  "reason": "Bad Request"
}
Response examples (401)
{
  "detail": "(This is just an example, the exception may not be related to this endpoint)",
  "error": 401,
  "errorCode": "NOT_ORG_GROUP_CREATOR",
  "reason": "Unauthorized"
}
Response examples (403)
{
  "detail": "(This is just an example, the exception may not be related to this endpoint)",
  "error": 403,
  "errorCode": "CANNOT_CHANGE_GROUP_NAME",
  "reason": "Forbidden"
}
Response examples (404)
{
  "detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
  "error": 404,
  "errorCode": "RESOURCE_NOT_FOUND",
  "reason": "Not Found"
}
Response examples (429)
{
  "detail": "(This is just an example, the exception may not be related to this endpoint)",
  "error": 429,
  "errorCode": "RATE_LIMITED",
  "reason": "Too Many Requests"
}
Response examples (500)
{
  "detail": "(This is just an example, the exception may not be related to this endpoint)",
  "error": 500,
  "errorCode": "UNEXPECTED_ERROR",
  "reason": "Internal Server Error"
}